/* System	: 二足歩行ロボット(walk)
* File		: vb_control.c
* function	: モータ電源供給・遮断制御 (BD3,4)
* Version	: 1.0
* Date		: 2019/5/7
* CPU		: RL78/G12 ROM:16KB RAM:1.5KB fCLK:24MHz
* IDE		: CS+ for CC V6.01.00 [01 Dec 2017]
* Programmer	: Hajime Sugiyama
* Note		: */

/* 特殊機能レジスタ（SFR）へのアクセス記述を使用する(RL78/R5F1026A) */
#include "iodefine.h"
#include "vb_control.h"

struct _F_VB_CONTROL f_vb_control = {VB_ON,0};	/* モータ電源供給・遮断指示 */

/* モータ電源供給・遮断制御初期化処理ユニット(BD3,4) */
void init_vb_control(void){
	/* 注：P23 はデジタル入出力に設定済 ← vb_detect.c */
	P2_bit.no3 = 0U;			/* モータ電源を遮断 */
	PM2_bit.no3 = 0U;			/* 出力ポートに設定 */
}

/* モータ電源供給・遮断制御処理ユニット(BD3,4) */
void vb_control(void){
	if(f_vb_control.supply == VB_ON){	/* モータ電源供給指示あり */
		P2_bit.no3 = 1U;		/* モータ電源を供給 */
	}else{
		P2_bit.no3 = 0U;		/* モータ電源を遮断 */
	}
}